Member Function
String
Constructor
The String class provides the default constructor and copy constructor. Additionally, you can construct a string from any sequence.
String::String()
String::String(other)
String::String(seq)
Parameters

other | Another String object of the same type.
seq | A sequence to copy into the String. Types: SequenceConcept

Remarks
The third variant (construction from sequence) first reserves the necessary space and then copies over the characters from seq. During this copying, the source characters are implicitely casted/converted into the alphabet of the String. For example, Dna characters can be converted to Dna5 characters and vice versa. The conversion can be lossy, e.g. when converting from Dna5 to Dna, all N characters are replaced by A characters. Similarly, when converting from char to Dna5, all characters except {A, a, C, c, G, g, T, t} are converted to N.
Member of
String
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59